Status: Closed Start date: 23 Apr 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 3.40 hours

Description

Make it easier for a Linux user to get the right version of CoCoA-5.

One solution would be to unify the 32-bit and 64-bit releases, and then installation picks the right one (or even the starting script picks

the right one).

Related issues:

Related to CoCoA-5 - Feature #270: Distribution for linux Closed 18 Oct 2012

History

#1 - 23 Apr 2014 12:09 - Anna Maria Bigatti

- Project changed from CoCoALib to CoCoA-5

- Category changed from Portability to Portability

- Target version deleted (CoCoALib-0.99534 Seoul14)

#2 - 23 Apr 2014 16:29 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 20

I have produced a new starting script for CoCoA-5 which autodetermines the directory containing the script (and thus the location of the packages &

executables).  It also autoselects between 32-bit and 64-bit.

This should make it easier to produce the linux distribution, and also easier for the user (who no longer needs to choose the right distribution).

#3 - 29 May 2014 17:04 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.1 Seoul14

Apparently emacs + script does not work on some linux machine (Oscar's).

Script works fine inside a normal shell, but does not start under emacs.

It works fine within emacs on Anna's virtual Machine, Elisa P.'s and Elisa B.'s computer.

Clarification (JAA) the problem appears to be failure to find a shared library (for BOOST filesystem)

UPDATE (20140903) I've just tried again on Oscar's computer, and it worked fine.  He says he'll upgrade to Ubuntu 14.04 shortly, so we can try there

soon :-)
#4 - 03 Sep 2014 12:41 - John Abbott

Wouldn't compiling  with static versions of the libraries solve the problem?

Or perhaps we could distribute with copies of the required libraries (might make the distribution file rather large though).

#5 - 03 Sep 2014 16:04 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 20 to 80

I think we've practically resolved this.  If Oscar updates his system in the next few days, we'll confirm that everything is fine for Ubuntu 14.04 (and can

probably then close the issue).

#6 - 11 Sep 2014 17:40 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100
